﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Cinemachine;

public class CharacterTrigger : MonoBehaviour
{

    private GameObject collectable;
    private List<GameObject> inventory;

    public GameObject inv1;
    public GameObject inv2;

    float yStart = -4.0f;
    float xStart = -8.0f;
    float xStep = 2.0f;

    public LayerMask Prop;

 

    // Start is called before the first frame update
    void Start()
    {
        inventory = new List<GameObject>();
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown("i"))
        {
            if (collectable != null && inventory.Count < 2)
            {
                inventory.Add(collectable);
                print("collected " + collectable.name);
                //collectable.SetActive(false);
                collectable = null;
                updateInventoryDisplay();
            }
        }

        if (Input.GetKeyDown("1"))
        {
            if (inventory.Count>0)
            {
                inventory[0].transform.parent = null;
                collectable = inventory[0];
                inventory.RemoveAt(0);
                collectable.SetActive(true);
                collectable.transform.position = gameObject.transform.position;
                print("put down " + collectable.name+" "+ inventory.Count);
                updateInventoryDisplay();
            }
        }

        if (Input.GetKeyDown("2"))
        {
            if (inventory.Count > 1)
            {
                inventory[1].transform.parent = null;
                collectable = inventory[1];
                inventory.RemoveAt(1);
                collectable.SetActive(true);
                collectable.transform.position = gameObject.transform.position;
                print("put down " + collectable.name + " " + inventory.Count);
                updateInventoryDisplay();
            }
        }


      /*if (Input.GetKeyDown("3"))
        {
            if (inventory.Count > 2)
            {
                collectable = inventory[2];
                inventory.RemoveAt(2);
                collectable.SetActive(true);
                collectable.transform.position = gameObject.transform.position;
                print("put down " + collectable.name + " " + inventory.Count);
                updateInventoryDisplay();
            }
        }*/
    }

    void OnTriggerEnter2D(Collider2D collision)
    {
        print("Character triggered");
        if (collision.gameObject.layer == 9)
        {
            collectable = collision.gameObject;
            collectable.transform.localScale = new Vector3(1.1f, 1.1f, 1.1f);
            print("collectable = " + collectable.name);

        }

    }

    void OnTriggerExit2D(Collider2D collision)
    {
        if(collectable == (collision.gameObject))
        {
            collectable.transform.localScale = new Vector3(1.0f, 1.0f, 1.0f);
            collectable = null;
        }
    }

    void updateInventoryDisplay()
    {
      
        if (inventory.Count == 1)
        {
            inventory[0].transform.position = inv1.transform.position;
            inventory[0].transform.parent = inv1.transform;
        }
        else if (inventory.Count == 2)
        {
            inventory[1].transform.position = inv2.transform.position;
            inventory[1].transform.parent = inv2.transform;
        }
        
        /*foreach (GameObject item in inventory){
            item.transform.position = new Vector3(xStart+i*xStep, yStart, 0f);
            item.SetActive(true);
            i++;
        }*/
    }

   
}
