﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Cinemachine;

public class Drunk : MonoBehaviour
{

    public CinemachineVirtualCamera cineCamera;
    public float dutchTimer = 0;
    public float dutchTimerSin;
    public float drunkTimer = 10;
    public float slope = 180;

    public bool descending;
    public bool playerProximity;
    
    public GameObject shaderPlane;
    public Camera mainCamera;

    private void Start()
    {
        shaderPlane.SetActive(false);
    }


    void Update()
    {
        if (Input.GetKeyDown("i") && playerProximity == true)
        {
            gameObject.GetComponent<SpriteRenderer>().sprite = null;

            shaderPlane.SetActive(true);

            Camera.main.orthographic = false;
        }

        drunk();
    }

    void OnTriggerEnter2D(Collider2D collision)
    {
        print("Character triggered");
        if (collision.gameObject.CompareTag("Player"))
        {
            gameObject.transform.localScale = new Vector3(1.1f, 1.1f, 1.1f);
            playerProximity = true;
        }
    }
    void OnTriggerExit2D(Collider2D collision)
    {
        if (collision.gameObject.CompareTag("Player"))
        {
            gameObject.transform.localScale = new Vector3(1.0f, 1.0f, 1.0f);
            playerProximity = false;
        }
    }
  

    void drunk()
    {
        if (gameObject.GetComponent<SpriteRenderer>().sprite == null && drunkTimer > 0)
        {
            
            dutchTimer += Time.deltaTime * 3;

            dutchTimerSin = Mathf.Sin(dutchTimer) * slope;
            
            cineCamera.m_Lens.Dutch = dutchTimerSin;

            drunkTimer -= Time.deltaTime;
        }

        if (drunkTimer > 0 && gameObject.GetComponent<SpriteRenderer>().sprite == null)
        {
            slope *= 0.995f;
        }
        else if (drunkTimer <= 0)
        {
            shaderPlane.SetActive(false);
            Camera.main.orthographic = true;
            slope *= 0;
            dutchTimer = 0;
            dutchTimerSin = 0;
            cineCamera.m_Lens.Dutch = 0;

        }

    }
}
